:: *************************   4XALIAS  ***********************************
:: This is the start of sample aliases to make life easier for you.
::
:: These aliases are culled from diverse alias files and examples  floating
:: around,  and a few are my own.  If you want to add your own best aliases
:: to 4XBTM, send them to me, and they may be included if they are  not  to
:: specialized  only for your own needs in my opinion (see 4XBTM.DOC for my
:: adress).
:: *********************************************************************
::
:: If  you  have  experience with 4DOS, you probably have already aliased a
:: lot of  your  commands,  so  be  careful  to  check  these  aliases  for
:: duplication of functions already aliased!
::
:: If  you  are  a beginner, these aliases will give you a start to realize
:: the full power of 4DOS on your system.   Put  this  file  in  your  4DOS
:: directory and load it from autoexec.bat with a line like:
::
:: alias /r c:\4dos5\4xalias.als

:: If  you  have  your own alias file already, copy the aliases you want to
:: use to your own alias file and keep 4xalias.als for reference.  In  some
:: cases you will have to adapt the path or filename to your needs.

:: Note  that  batches  and  programms  may  behave differently if you have
:: aliased DOS commands.  If  you  want  to  use  the  original,  unaliased
:: command  from  the  command  line, precede them with "*" like this:
:: *copy *.* /foobar

First a few very simple key macros, which are very useful on my system.

:: Keymacro: This one calls the help function of another DOS.
:: Change the path according to your system. (Taken from 4DOS Manual)

@@Alt-F1=c:\dos\help.com r

:: This one simply clears the screen. (Taken from 4DOS Manual)

@@Ctrl-F1=cls r

:: Keymacro: This leaves a DOS shell. I can shell to DOS from my editor
:: with Alt-F12, look something up in 4DOS help with F1, and  then I am
:: back in my editor with Alt-F12. (Taken from 4DOS Manual)

@@Alt-F12=exit r

:: This keymacro starts the XAD screen saver

@@Alt-B=XAD /r r

:: Another way to get to the not so comfortable help system:

oldhelp=c:\dos\help.com %1 %2 %3

:: Now we do a little directory jumping. Note that 4DOS5 now has
:: function keys to go to recently used dirs.

:: Up one level for every "." entered:

.*.........=%0.\

:: Change the drive more easily...

@@Alt-A=A:
@@Alt-B=B:
@@Alt-C=C:
@@Alt-D=D:
@@Alt-E=E:
@@Alt-F=F:

:: Now  this one should be on every system.  Why have a  computer if it
:: can't calculate ? (From 4DOS example file ALIASES)

calc=`echo The answer is:  %@eval[%&]`

:: Use these  if you want to be asked  before files are  overwritten or
:: deleted...

cop*y=*copy /r %&
mov*e=*move /r %&
del=*del /p %&

:: And use these if you want to selectively copy, move or delete files.
:: Existing files are only copied / moved, if they are older...

scopy=select *copy /u (%1) %2
smove=select *move /ud (%1) %2
sdel=(iff %# == 0 then^ set _filspec=*.* ^ else set _filspec=%1 ^endiff) ^select /d *del (%_filspec) ^unset /q _filspec

:: for compatibility with above:  runs XAT.BTM for selectively changing
:: file attributes.

satt=xat %&

:: There are  lots of aliases for  showing the directory in  different
:: ways. On my system they all start with d and have a lot of params.

:: Sorted, attributes, without dots...

d=*dir /o:gn/v/p/j/a/t %&

:: 2 columns...

d2=*dir /2/o:gn/v/p/j/a %&

:: 4 columns

d4=*dir /4/o:gn/v/p/j/b %&

:: Only subdirs...

dd=*dir /mwad

:: Here is one that shows the most recent files of your directory first

dnew=*dir /2av /o:rd | *list /s

:: Make it scrollable with list


dl=*dir | *list /s

:: Now here is one that  only  shows  executables  and  starts  them  if
:: selected.

dexe=*dir/1/B/D *.exe;*.com;*.bat;*.btm > %temp\_alsdir.tmp ^ *set _exe=%@select[%temp\_alsdir.tmp,4,5,19,20, Execute ] ^ %_exe ^ *unset /q _exe ^ *del /q %temp\_alsdir.tmp >& nul

:: This  one  shows  you  all those doc files in a download and lets you
:: select the one to show.

ddoc=*dir/1/B/D *.doc;*.txt;*.me;*.1st;*.asc > %temp\_alsdir.tmp ^ *set _doc=%@select[%temp\_alsdir.tmp,4,5,19,20, Read ] ^ if [%_doc] != [] *list %_doc ^ *unset/q _doc ^ *del  /q  %temp\_alsdir.tmp >& nul

:: Make 1 new directory anywhere on your drives  and  jump  into  it  if
:: successfully created...  (From 4DOS example file ALIASES)

nd=*md %1 && *cdd %1

:: use the 4DOS "list" for the old DOS "more":

more=*list /s

:: and rename list to something else before we choose another lister.

see=*list

:: Here is one for V.  Buergs LIST.COM, a very useful  utility  everyone
:: should have in my opinion. It only list the files from [filespec] %1.

l*ist=c:\tools\list.com %1 /M /D

:: This one  calls my editor with all files from [filespec] %& (could be
:: more than one)...

e*dit=c:\tse\e.exe %&

:: SSET: If you type 'sset' to add an environment variable or to give  a
:: list of environment variables set,  it will display the free environ-
:: space on the next line (it'll also page the list).  If SETT is called
:: from  a batch file, then it won't display the free environment space.
:: Author: Paul Smith 100023,25

sset=*set /p %& ^iff %_batch==0 then ^echo. ^ echo %_env Byte Environment Free ^endiff

:: The same for aliases

sals=*alias /p %& ^iff %_batch==0 then ^ echo.^ echo %_alias Byte Alias Space Free ^endiff

:: Run your settings sorted through LIST:

setl=*set | sort | *list/s

:: Run your tree through LIST:

treel=*tree %& | *list /s

:: If you want to run a program which uses DOS  commands  without inter-
:: ference from aliases, use this to unalias all commands :

run=setdos /x-1 ^%& ^setdos /x0

:: To test a new batch step for step:
tst=setdos /y1 ^%& ^setdos /y0 ^setdos /x0

:: If you use XSP, and want the line number to be correct after  a  cls,
:: (it  goes to "1" if you use the cursor at last line option before you
:: hit enter again!) use this alias for cls:

cls=*cls %& ^ screen %@eval[%_rows - 1] 0
::
